Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gdal.gdal
Class JavaDataset

    java.lang.Object
      org.gdal.gdal.MajorObject
          org.gdal.gdal.Dataset
              org.gdal.gdal.JavaDataset

    public abstract class JavaDataset

extends Dataset

Constructor Summary
`JavaDataset(int nRasterXSize, int nRasterYSize)`

Method Summary
`void` | `delete()` Frees the native resource associated to a Dataset object and close the file.
`boolean` | `equals(Object obj)`
`String` | `genial()`
`int` | `hashCode()`

Methods inherited from class org.gdal.gdal.Dataset
`AddBand, AddBand, AddBand, BuildOverviews, BuildOverviews, BuildOverviews, BuildOverviews, CreateMaskBand, FlushCache, GetDriver, GetFileList, GetGCPCount, GetGCPProjection, GetGCPs, GetGCPs, GetGeoTransform, GetGeoTransform, GetProjection, GetProjectionRef, GetRasterBand, getRasterCount, GetRasterCount, getRasterXSize, GetRasterXSize, getRasterYSize, GetRasterYSize, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, SetGCPs, SetGeoTransform, SetProjection, WriteRaster_Direct, WriteRaster_Direct, WriteRaster_Direct, WriteRaster_Direct`

Methods inherited from class org.gdal.gdal.MajorObject
`GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaDataset

    public JavaDataset(int nRasterXSize,
                       int nRasterYSize)

Method Detail

### delete

    public void delete()

  Description copied from class: `Dataset`
  Frees the native resource associated to a Dataset object and close the file. This method will delete the underlying C++ object. After it has been called, all native resources will have been destroyed, so it will be illegal (and likely to cause JVM crashes) to use any method on this object or any derived objects, such as Band objects of this Dataset.

  The delete() method must be called when a dataset has been opened in update or creation mode, otherwise data might not be properly flushed to the disk. You cannot rely on the finalization to call delete().

  Overrides:
    `delete` in class `Dataset`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### genial

    public String genial()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD